      module refinement_control
      use rc_parameters
      use adaptive  

       type CLUSTERS
         type(CLUSTERS),pointer       :: clnext        
         type(ADAPTIVE_MESH),pointer  :: clprnt
         real*8,dimension(3)          :: clrmin
         real*8,dimension(3)          :: clrmax
       end type CLUSTERS 

      end module refinement_control



